<?php
// Page de traitement de notre formulaire en PHP

// On verifie si notre formulaire n'est pas vide.
if(!empty($_POST)) {
	// on definit un tableau qui va contenir nom, champ, valeur
	$tab = array();
	$i = 0;
	// on boucle en recuperant clé valeur
	foreach($_POST as $key=>$value) {
		$decoupe = explode("_", $key);
		$tab[$i] = $decoupe[0];		// nom de la table
		$tab[$i+1] = $decoupe[1];	// champ de la table
		$tab[$i+2] = $value;		// valeur du champ de la table
		$i += 3;
	}

	// connexion à la base
	$db = mysql_connect('localhost', 'root', 'm148r43a9Y@%Z')  or die('Erreur de connexion '.mysql_error());

	// sélection de la base  
	mysql_select_db('smartpassTest2',$db)  or die('Erreur de selection '.mysql_error()); 

	// requète préalable pour recupérer l'id max
	$result = mysql_query('SELECT MAX(id) FROM '.$tab[0].'', $db);

	// récuperation de l'id max et ajout de 1 (aucune confusion si l'on supprime un id)
	while($ligne = mysql_fetch_array($result)) {
		$num_rows = $ligne[0]+1;
	}

	// on récupère l'ip
	$ip = $_SERVER['REMOTE_ADDR'];
	$sql = "INSERT INTO ips(id, ip, date) VALUES('$num_rows','$ip', NOW())";
	mysql_query($sql) or die('Erreur SQL !'.$sql.'<br>'.mysql_error()); 
	
	// creation des requètes dynamiquement
	for ($j = 0 ; $j < count($tab) ; $j += 3) {
		// Verification de l'existence de l'id
		$req = 'SELECT COUNT(id) AS verif FROM '.$tab[$j].' WHERE id='.$num_rows.'';
		$res  = mysql_query($req);
		$alors  = mysql_fetch_assoc($res);
		
		// Gestion de la sécurité
		$cur_var = addslashes($tab[$j+2]);	// Echappement des '' et des ""
		mysql_real_escape_string($cur_var);	// Protection cotnre les injections SQL

		// Gestion des requètes
		if(!($alors['verif'] == 0)){ // Si l'id existe déjà alors on UPDATE la ligne
			$sql = 'UPDATE '.$tab[$j].' SET '.$tab[$j+1].' = "'.$cur_var.'" WHERE id='.$num_rows.'';
			mysql_query($sql) or die('Erreur SQL !'.$sql.'<br>'.mysql_error()); 
		}
		// si l'id n'existe pas alors on INSERT la nouvelle ligne
		else {
			$sql = 'INSERT INTO '.$tab[$j].' (id,'.$tab[$j+1].') VALUES ('.$num_rows.',"'.$cur_var.'")';
			mysql_query($sql) or die('Erreur SQL !'.$sql.'<br>'.mysql_error()); 
		}
	}
	
	// on affiche le résultat pour le visiteur
	echo '<!doctype html>';
	echo '<html>';
	echo '<head>';
	echo '<meta charset="utf-8"/>';
	echo '<title>Création des Points</title>';
	echo '<link rel="shortcut icon" type="image/x-icon" href="../mmd/favicon.ico"/>';
	echo '</head>';
	echo '<body style="background: url(../mmd/background.jpg) no-repeat center center fixed;background-size: cover;text-align: center;">';
	echo '<h1 style="font-family: Helvetica, sans-serif;text-shadow: 0px 0px 7px rgba(0, 0, 0, 0.75);color: #ffffff;font-size: 50px; margin: 50px;">Les informations ont bien été ajoutées à la base de donnée !</h1>';
	echo '<h1 style="font-family: Helvetica, sans-serif;text-shadow: 0px 0px 7px rgba(0, 0, 0, 0.75);color: #ffffff;font-size: 50px; margin: 50px;">Merci beaucoup de votre participation !</h1>';
	echo '</body>';
	echo '</html>';
	header("Refresh: 2; URL=http://smart-pass.fr/admin/createPoints");
	
	mysql_close();	// on ferme la connexion 
}
else {
	header('Location: http://smart-pass.fr/admin/createPoints');
}
?>